Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserFullInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserFullInfo

Enclosing class:
  TdApi

public static final class TdApi.UserFullInfo extends TdApi.Object
Contains full information about a user.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.FormattedText`
`bio`
A short user bio; may be null for bots.
`TdApi.BlockList`
`blockList`
Block list to which the user is added; may be null if none.
`TdApi.BotInfo`
`botInfo`
For bots, information about the bot; may be null if the user isn't a bot.
`TdApi.BusinessInfo`
`businessInfo`
Information about business settings for Telegram Business accounts; may be null if none.
`boolean`
`canBeCalled`
True, if the user can be called.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`groupInCommonCount`
Number of group chats where both the other user and the current user are a member; 0 for the current user.
`boolean`
`hasPinnedStories`
True, if the user has pinned stories.
`boolean`
`hasPrivateCalls`
True, if the user can't be called due to their privacy settings.
`boolean`
`hasPrivateForwards`
True, if the user can't be linked in forwarded messages due to their privacy settings.
`boolean`
`hasRestrictedVoiceAndVideoNoteMessages`
True, if voice and video notes can't be sent or forwarded to the user.
`boolean`
`needPhoneNumberPrivacyException`
True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
`TdApi.ChatPhoto`
`personalPhoto`
User profile photo set by the current user for the contact; may be null.
`TdApi.ChatPhoto`
`photo`
User profile photo; may be null.
`TdApi.PremiumPaymentOption[]`
`premiumGiftOptions`
The list of available options for gifting Telegram Premium to the user.
`TdApi.ChatPhoto`
`publicPhoto`
User profile photo visible if the main photo is hidden by privacy settings; may be null.
`boolean`
`setChatBackground`
True, if the user set chat background for both chat users and it wasn't reverted yet.
`boolean`
`supportsVideoCalls`
True, if a video call can be created with the user.

## Constructor Summary

Constructors
Constructor
Description
`UserFullInfo()`
Contains full information about a user.
`UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPinnedStories, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)`
Contains full information about a user.
`UserFullInfo(DataInput input)`
Contains full information about a user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### personalPhoto

public TdApi.ChatPhoto personalPhoto
User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

### photo

public TdApi.ChatPhoto photo
User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.

### publicPhoto

public TdApi.ChatPhoto publicPhoto
User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

### blockList

public TdApi.BlockList blockList
Block list to which the user is added; may be null if none.

### canBeCalled

public boolean canBeCalled
True, if the user can be called.

### supportsVideoCalls

public boolean supportsVideoCalls
True, if a video call can be created with the user.

### hasPrivateCalls

public boolean hasPrivateCalls
True, if the user can't be called due to their privacy settings.

### hasPrivateForwards

public boolean hasPrivateForwards
True, if the user can't be linked in forwarded messages due to their privacy settings.

### hasRestrictedVoiceAndVideoNoteMessages

public boolean hasRestrictedVoiceAndVideoNoteMessages
True, if voice and video notes can't be sent or forwarded to the user.

### hasPinnedStories

public boolean hasPinnedStories
True, if the user has pinned stories.

### needPhoneNumberPrivacyException

public boolean needPhoneNumberPrivacyException
True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.

### setChatBackground

public boolean setChatBackground
True, if the user set chat background for both chat users and it wasn't reverted yet.

### bio

public TdApi.FormattedText bio
A short user bio; may be null for bots.

### premiumGiftOptions

public TdApi.PremiumPaymentOption[] premiumGiftOptions
The list of available options for gifting Telegram Premium to the user.

### groupInCommonCount

public int groupInCommonCount
Number of group chats where both the other user and the current user are a member; 0 for the current user.

### businessInfo

public TdApi.BusinessInfo businessInfo
Information about business settings for Telegram Business accounts; may be null if none.

### botInfo

public TdApi.BotInfo botInfo
For bots, information about the bot; may be null if the user isn't a bot.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UserFullInfo

public UserFullInfo()
Contains full information about a user.

### UserFullInfo

public UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPinnedStories, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)
Contains full information about a user.

Parameters:
  `personalPhoto` - User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
  `photo` - User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.
  `publicPhoto` - User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
  `blockList` - Block list to which the user is added; may be null if none.
  `canBeCalled` - True, if the user can be called.
  `supportsVideoCalls` - True, if a video call can be created with the user.
  `hasPrivateCalls` - True, if the user can't be called due to their privacy settings.
  `hasPrivateForwards` - True, if the user can't be linked in forwarded messages due to their privacy settings.
  `hasRestrictedVoiceAndVideoNoteMessages` - True, if voice and video notes can't be sent or forwarded to the user.
  `hasPinnedStories` - True, if the user has pinned stories.
  `needPhoneNumberPrivacyException` - True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
  `setChatBackground` - True, if the user set chat background for both chat users and it wasn't reverted yet.
  `bio` - A short user bio; may be null for bots.
  `premiumGiftOptions` - The list of available options for gifting Telegram Premium to the user.
  `groupInCommonCount` - Number of group chats where both the other user and the current user are a member; 0 for the current user.
  `businessInfo` - Information about business settings for Telegram Business accounts; may be null if none.
  `botInfo` - For bots, information about the bot; may be null if the user isn't a bot.

### UserFullInfo

public UserFullInfo(DataInput input) throws IOException
Contains full information about a user.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`